Passer au contenu principal
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Récupérer les fonctions à partir d'un type pour une définition donnée
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "id": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L'ID de l'application associée à la fonction.

definitionId
string
requis

L'ID de la définition associée à la fonction.

functionType
enum<string>
requis

Le type de fonction à récupérer, avec les valeurs acceptées : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Réponse

successful operation

functionSource
string
requis

Le code source ou le script qui définit le comportement de la fonction.

functionType
enum<string>
requis

Le type de fonction, avec les valeurs acceptées : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

L'identifiant unique de la fonction d'action.

Dernière modification le 13 avril 2026